/**
  * Copyright (c) 2000-2004 Jim Holmstrm. All rights reserved.
  *
  * The author grants you the right to use, modify, and redistribute this
  * software for noncommercial purposes, on the conditions that you:
  * (1) retain the original headers, including the copyright notice and
  * this text, (2) clearly document the difference between any derived
  * software and the original, and (3) acknowledge your use of this
  * software in pertaining publications and reports.  This software
  * is provided "as is", without any warranty of any kind.
  *
  * Author  : Jim Holmstrm
  * E-mail  : jimh@it.uu.se
  *           boll@booru.net
  * Web     : http://user.it.uu.se/~jimh
  *           http://www.booru.net
  *
  */

#ifndef __IWEIGHTLAYERTOHIDDEN_H
#define __IWEIGHTLAYERTOHIDDEN_H

class RBFNode;

class IWeightLayerToHidden
{
public:
	virtual void CreateWeightsObject(RBFNode * n) = 0;
	virtual void DeleteWeightsObject(RBFNode * n) = 0;
	virtual void SetSignal(RBFNode * n, double s) = 0; // sets the signal s of the Weights object belonging to n
};

#endif
